<?php

namespace Lc\SovBundle\Controller\User;

use EasyCorp\Bundle\EasyAdminBundle\Field\TextField;
use Lc\SovBundle\Container\User\GroupUserContainer;
use Lc\SovBundle\Controller\AbstractAdminController;
use Lc\SovBundle\Factory\User\GroupUserFactory;
use Lc\SovBundle\Field\StatusField;

abstract class GroupUserAdminController extends AbstractAdminController
{

    public function configureFields(string $pageName): iterable
    {
        return [
            TextField::new('title')->setSortable(true),
            TextField::new('devAlias')->hideOnIndex(),
            StatusField::new('status')->setSortable(true),
        ];
    }

    public function createEntity(string $entityFqcn)
    {
        return $this->get(GroupUserContainer::class)->getFactory()->create();
    }
}
